Bug 126168 - keyboard not found in last 2 kernel updates
keyboard not found in last 2 kernel updates
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 20:09 EDT by Andy Wallace
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wallace 2004-06-16 20:09:02 EDT
Description of problem:

System: Intel P4, 2.8GHz with Hyperthreading, 512 MB RAM, bog standard
PS/2 UK keyboard.

My keyboard is not recognized when booting the smp kernel in the last
2 releases (2.6.6-1.427 and 2.6.6-1.435). Worked fine under
2.6.6-1.358. The single-processor kernels work fine.

Version-Release number of selected component (if applicable):

2.6.6-1.427smp and 2.6.6-1.435smp

How reproducible:

Always

Steps to Reproduce:
1. Boot into latest upgrade smp kernel
  
Actual results: 

Keyboard isn't recognized. kudzu runs, presumably to say that a
component has been removed (i.e. the keyboard) but as it only has a
keyboard interface that doesn't help much!)

Expected results:

I'd expect the keyboard to work. The release notes to the 427 kernel
mentioned improvements to the keyboard subsystem - I haven't looked
into it more deeply than that.
Comment 1 Clemens Sibon 2004-06-22 05:54:56 EDT
Same here:
System: Intel P4, 2.8 GHz Hyperthreaded, Chaintech 9PJL3 motherboard
(latest BIOS)

Kernel: 2.6.6-1.435smp

When logged in via ssh and running Kudzu, it indeed wants to remove
the AT keyboard. In /proc/bus/input/devices there is no AT keyboard,
just the mouse (PS/2 Logitech Mouse).

To get the mouse working, it has to be unplugged/plugged in again.

The following kernels don't have this problem: 2.6.6-1.435,
2.6.5-1.358 and 2.6.5-1.358smp
Comment 2 Andy Wallace 2004-07-01 04:28:43 EDT
Problem also still exists for me in kernel-2.6.6-1.435.2.1smp
Comment 3 Clemens Sibon 2004-07-02 05:07:32 EDT
I also still have the same problem with kernel-smp-2.6.6-1.435.2.1
Comment 4 Clemens Sibon 2004-07-05 09:02:08 EDT
Problem still here with kernel-smp-2.6.6-1.435.2.3
Comment 5 Mikael Hultgren 2004-07-14 09:34:39 EDT
System: Intel P4, 3.0GHz with Hyperthreading, 1024 MB RAM, standard
ps/2 swedish keyboard.

Im having the same problem, if im booting with smp then the keyboard
won't work and kudzu tries to remove it, if i boot with single cpu or
with ACPI off, then if works. I have this problem with
kernel-smp-2.6.6-1.435.2.3, the kernels 2.6.5-1.358 and 2.6.5-1.358smp
didnt have this problem.

Comment 6 Dave Jones 2005-04-16 01:15:50 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.